Package Scientific :: Package IO :: Module PDB :: Class ResidueNumber

[frames] | no frames]

# Class ResidueNumber

PDB residue number

Most PDB residue numbers are simple integers, but when insertion codes are used a number can consist of an integer plus a letter. Such compound residue numbers are represented by this class.

Instance Methods

__cmp__(self, other) |

__init__(self, number, insertion_code) |

__repr__(self) |

__str__(self) |

Method Details

### __init__(self, number, insertion_code)
(Constructor)

Parameters:
  - `number` (`int`) - the numeric part of the residue number
  - `insertion_code` (`str`) - the letter part of the residue number